<?php

namespace App\Validations;

class LojaValidation {

	public static function register(array $dados): array {
		$result =[];
		
		if(count($dados)  != 2) {
			$result['campos'] = "Quantidade de campos incompatível";
		}
		
		if(!isset($dados['id_unidade'])) {
			$result['id_unidade'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_unidade'])) {
				$result['id_unidade'] = "Valor deve ser inteiro";
			}
		}
		if(!isset($dados['id_status_loja'])) {
			$result['id_status_loja'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_status_loja'])) {
				$result['id_status_loja'] = "Valor deve ser inteiro";
			}
		}
		
		return $result;
		
	}
	
	public static function changestatus(array $dados): array {
		$result =[];
		
		if(count($dados)  != 3) {
			$result['campos'] = "Quantidade de campos incompatível";
		}
		
		if(!isset($dados['id'])) {
			$result['id'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id'])) {
				$result['id'] = "Valor deve ser inteiro";
			}
		}
		
		if(!isset($dados['id_unidade'])) {
			$result['id_unidade'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_unidade'])) {
				$result['id_unidade'] = "Valor deve ser inteiro";
			}
		}
		if(!isset($dados['id_status_loja'])) {
			$result['id_status_loja'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_status_loja'])) {
				$result['id_status_loja'] = "Valor deve ser inteiro";
			}
		}
		
		return $result;
		
	}
}

